﻿@model List<ARGNSContainerPackageLineView>

<table class="table">
    <thead>
        <tr>
            @*<th width="6%" align="center"><input type="checkbox" style="margin auto; display block; margin-top 10px;"></th>*@
            <th></th>
            <th width="6%" align="center">#</th>
            <th width="18%">@Shipment.ItemDesc</th>
            <th width="23%">@Shipment.Available</th>
            <th width="23%">@Shipment.BE</th>
            <th width="24%">Doc #</th>
            <th width="24%">@Shipment.LineNo #</th>
            <th width="24%">@Shipment.Selected</th>
        </tr>
    </thead>
    <tbody>
        @foreach (ARGNSContainerPackageLineView mLine in Model)
        {
            string mLineNum = "LineCK_PS_AVIT" + mLine.LineId;
            string mLineQty = "Line_PS_Qty" + mLine.LineId;
            string mSelected = "Selected_PS" + mLine.LineId;
            <tr class="">
                <td align="center"><input type="checkbox" id="@mLineNum" name="@mLineNum" value="@mLine.LineId"></td>
                <td>@mLine.LineId</td>
                <td style="width: 220px; display: block;">@mLine.U_ItemCode</td>
                <td style=" text-align: center;"><input id="@mLineQty" name="@mLineQty" value="@Math.Round(mLine.U_Quantity.Value, 2)" disabled="disabled"></td>
                <td style=" text-align: center;">@mLine.U_BaseEntry</td>
                <td style=" text-align: center;">@mLine.U_BaseRef</td>
                <td style=" text-align: center;">@mLine.U_BaseLine</td>
                <td><input id="@mSelected" name="@mSelected" value="@Math.Round(mLine.U_Quantity.Value, 2)"></td>
            </tr>
        }      
    </tbody>
</table>